package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.libs.org.jetbrains.annotations.Nullable;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.commands.AbstractCommand;
import cn.dg32z.lon.utils.data.FreezeData;
import java.util.List;
import java.util.stream.Collectors;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/UnFreeze.class */
public final class UnFreeze extends AbstractCommand {
    public UnFreeze() {
        super("unfreeze", "lonac.commands.unfreeze", false);
    }

    public void execute(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length < 1) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.unfreeze.usage"));
            return;
        }
        Player target = Bukkit.getPlayer(args[0]);
        if (target == null) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[0]));
        } else {
            if (!FreezeData.isFrozen(target)) {
                sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(target, "commands.unfreeze.not-freeze"));
                return;
            }
            FreezeData.setFrozen(target, false);
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(target, "commands.unfreeze.message"));
            target.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18nWithOutPrefix("commands.unfreeze.target-side"));
        }
    }

    @Nullable
    public List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if (args.length == 1) {
            String input = args[0].toLowerCase();
            List<String> completions = (List) Bukkit.getOnlinePlayers().stream().filter(player -> {
                return FreezeData.isFrozen(player) && player.getName().toLowerCase().startsWith(input);
            }).map((v0) -> {
                return v0.getName();
            }).collect(Collectors.toList());
            return completions;
        }
        return null;
    }
}
